Groovy Documentation

## org.codehaus.groovy.antlr
[Java] Class AntlrASTProcessSnippets

    java.lang.Object
      org.codehaus.groovy.antlr.AntlrASTProcessSnippets

All Implemented Interfaces:
  AntlrASTProcessor

    public class AntlrASTProcessSnippets
    extends java.lang.Object

Process to decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.

Authors:
  Jeremy Rayner

Version:
  \$Revision\$

Constructor Summary
`AntlrASTProcessSnippets()`

Method Summary
`antlr.collections.AST` | `process(antlr.collections.AST t)` decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.

Methods inherited from class java.lang.Object
java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### AntlrASTProcessSnippets

    public AntlrASTProcessSnippets()

Method Detail

### process

    public antlr.collections.AST process(antlr.collections.AST t)

  decorate antlr AST with ending line/col info, and if possible the snipppet of source from the start/end line/col for each node.
  Parameters:
    `t` - the AST to decorate
  Returns:
    the decorated AST

Groovy Documentation